Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84583

Summary: vsftpd-1.1.3-7 vsftpd still holding sockets quite long in TIME WAIT
Product: [Retired] Red Hat Raw Hide Reporter: R P Herrold <herrold>
Component: vsftpdAssignee: Radek Vokal <rvokal>
Status: CLOSED RAWHIDE QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: chris.ricker
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-09 11:08:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description R P Herrold 2003-02-19 06:24:17 UTC
vsftpd in non-daemon mode -- (current rawhide as of today)  FYI type report
presently

[root@ftp log]# netstat -an
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State
tcp        0      0 0.0.0.0:32768           0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:32769           0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:3306            0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:80              0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:788             0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:21              0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:25            0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:6011          0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:6012          0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:6013          0.0.0.0:*               LISTEN
tcp        0      0 10.250.0.253:24805      10.250.0.113:43218      TIME_WAIT
tcp        0      0 10.250.0.253:36760      10.250.0.113:43197      TIME_WAIT
tcp        0      0 10.250.0.253:44159      10.250.0.113:43165      TIME_WAIT
tcp        0      0 10.250.0.253:5265       10.250.0.113:43172      TIME_WAIT
tcp        0      0 10.250.0.253:62037      10.250.0.113:43234      TIME_WAIT
tcp        0      0 10.250.0.253:6737       10.250.0.113:43181      TIME_WAIT
tcp        0      0 10.250.0.253:52362      10.250.0.113:43163      TIME_WAIT
tcp        0      0 10.250.0.253:32778      10.250.0.113:22         ESTABLISHED
tcp        0      0 10.250.0.253:47717      10.250.0.113:43212      TIME_WAIT
tcp        0      0 10.250.0.253:33199      10.250.0.113:43223      TIME_WAIT
tcp        0      0 10.250.0.253:20202      10.250.0.113:43195      TIME_WAIT
tcp        0      0 10.250.0.253:9169       10.250.0.113:43158      TIME_WAIT
tcp        0      0 10.250.0.253:30553      10.250.0.113:43170      TIME_WAIT
tcp        0      0 10.250.0.253:54970      10.250.0.113:43235      TIME_WAIT
tcp        0     19 10.250.0.253:21         10.250.0.113:42709      ESTABLISHED
tcp        0      0 10.250.0.253:44340      10.250.0.113:43161      TIME_WAIT
tcp        0      0 10.250.0.253:62238      10.250.0.113:43175      TIME_WAIT
tcp        0      0 10.250.0.253:41201      10.250.0.113:43156      TIME_WAIT
tcp        0      0 10.250.0.253:27378      10.250.0.113:43217      TIME_WAIT
tcp        0      0 10.250.0.253:60070      10.250.0.113:43185      TIME_WAIT
tcp        0      0 10.250.0.253:16901      10.250.0.113:43193      TIME_WAIT
tcp        0      0 10.250.0.253:12747      10.250.0.113:43211      TIME_WAIT
tcp        0      0 10.250.0.253:58790      10.250.0.113:43231      TIME_WAIT
tcp        0      0 10.250.0.253:39363      10.250.0.113:43203      TIME_WAIT
tcp        0      0 10.250.0.253:9986       10.250.0.113:43229      TIME_WAIT
tcp        0      0 10.250.0.253:39824      10.250.0.113:43201      TIME_WAIT
tcp        0      0 10.250.0.253:60785      10.250.0.113:43188      TIME_WAIT
tcp        0      0 10.250.0.253:59718      10.250.0.113:43184      TIME_WAIT
tcp        0      0 10.250.0.253:19265      10.250.0.113:43186      TIME_WAIT
tcp        0      0 10.250.0.253:29013      10.250.0.113:43209      TIME_WAIT
tcp        0      0 10.250.0.253:47362      10.250.0.113:43204      TIME_WAIT
tcp        0      0 10.250.0.253:8569       10.250.0.113:43228      TIME_WAIT
tcp        0      0 10.250.0.253:39914      10.250.0.113:43174      TIME_WAIT
tcp        0      0 10.250.0.253:50034      10.250.0.113:43199      TIME_WAIT
tcp        0      0 10.250.0.253:30621      10.250.0.113:43179      TIME_WAIT
tcp        0      0 10.250.0.253:48855      10.250.0.113:43202      TIME_WAIT
tcp        0      0 10.250.0.253:55727      10.250.0.113:43205      TIME_WAIT
tcp        0      0 10.250.0.253:22         10.250.0.111:3138       ESTABLISHED
tcp        0      0 10.250.0.253:34557      10.250.0.113:43194      TIME_WAIT
tcp        0      0 10.250.0.253:64312      10.250.0.113:43224      TIME_WAIT
tcp        0      0 10.250.0.253:17781      10.250.0.113:43206      TIME_WAIT
tcp        0      0 10.250.0.253:13971      10.250.0.113:43220      TIME_WAIT
tcp        0      0 10.250.0.253:60053      10.250.0.113:43208      TIME_WAIT
tcp        0      0 10.250.0.253:51389      10.250.0.113:43210      TIME_WAIT
tcp        0      0 10.250.0.253:53701      10.250.0.113:43155      TIME_WAIT
tcp        0      0 10.250.0.253:27953      10.250.0.113:43215      TIME_WAIT
tcp        0      0 10.250.0.253:39683      10.250.0.113:43226      TIME_WAIT
tcp        0      0 10.250.0.253:47837      10.250.0.113:43227      TIME_WAIT
tcp        0      0 10.250.0.253:44524      10.250.0.113:43180      TIME_WAIT
tcp        0      0 10.250.0.253:38261      10.250.0.113:43221      TIME_WAIT
tcp        0      0 10.250.0.253:51046      10.250.0.113:43207      TIME_WAIT
tcp        0      0 10.250.0.253:42286      10.250.0.113:43237      TIME_WAIT
tcp        0      0 10.250.0.253:34644      10.250.0.113:43200      TIME_WAIT
tcp        0      0 10.250.0.253:29363      10.250.0.113:43189      TIME_WAIT
tcp        0      0 10.250.0.253:60006      10.250.0.113:43213      TIME_WAIT
tcp        0      0 10.250.0.253:17577      10.250.0.113:43171      TIME_WAIT
tcp        0      0 10.250.0.253:57328      10.250.0.113:43160      TIME_WAIT
tcp        0      0 10.250.0.253:61729      10.250.0.113:43159      TIME_WAIT
tcp        0      0 10.250.0.253:31168      10.250.0.113:43164      TIME_WAIT
tcp        0      0 10.250.0.253:57802      10.250.0.113:43236      TIME_WAIT
tcp        0      0 10.250.0.253:40296      10.250.0.113:43225      TIME_WAIT
tcp        0      0 10.250.0.253:39708      10.250.0.113:43167      TIME_WAIT
tcp        0      0 10.250.0.253:60271      10.250.0.113:43168      TIME_WAIT
tcp        0      0 10.250.0.253:5379       10.250.0.113:43230      TIME_WAIT
tcp        0      0 10.250.0.253:45651      10.250.0.113:43192      TIME_WAIT
tcp        0      0 10.250.0.253:57551      10.250.0.113:43178      TIME_WAIT
tcp        0      0 10.250.0.253:40428      10.250.0.113:43191      TIME_WAIT
tcp        0      0 10.250.0.253:15046      10.250.0.113:43219      TIME_WAIT
tcp        0   2576 10.250.0.253:22         10.16.33.101:32918      ESTABLISHED
tcp        0      0 10.250.0.253:62999      10.250.0.113:43198      TIME_WAIT
tcp        0      0 10.250.0.253:10040      10.250.0.113:43183      TIME_WAIT
tcp        0      0 10.250.0.253:56980      10.250.0.113:43190      TIME_WAIT
tcp        0      0 10.250.0.253:60849      10.250.0.113:43173      TIME_WAIT
tcp        0      0 10.250.0.253:65260      10.250.0.113:43222      TIME_WAIT
tcp        0      0 10.250.0.253:37694      10.250.0.113:43196      TIME_WAIT
tcp        0      0 10.250.0.253:31250      10.250.0.113:43157      TIME_WAIT
tcp        0      0 10.250.0.253:11792      10.250.0.113:43233      TIME_WAIT
tcp        0      0 10.250.0.253:22         10.250.0.111:3120       ESTABLISHED
tcp        0      0 10.250.0.253:7705       10.250.0.113:43216      TIME_WAIT
tcp        0      0 10.250.0.253:44061      10.250.0.113:43169      TIME_WAIT
tcp        0      0 10.250.0.253:25746      10.250.0.113:43177      TIME_WAIT
tcp        0      0 10.250.0.253:38808      10.250.0.113:43162      TIME_WAIT
tcp        0      0 10.250.0.253:8872       10.250.0.113:43182      TIME_WAIT
tcp        0      0 10.250.0.253:29355      10.250.0.113:43166      TIME_WAIT
tcp        0      0 10.250.0.253:58006      10.250.0.113:43214      TIME_WAIT
tcp        0      0 10.250.0.253:58585      10.250.0.113:43176      TIME_WAIT
tcp        0      0 10.250.0.253:52461      10.250.0.113:43232      TIME_WAIT
tcp        0      0 10.250.0.253:24353      10.250.0.113:43187      TIME_WAIT
udp        0      0 0.0.0.0:32768           0.0.0.0:*
udp        0      0 0.0.0.0:2049            0.0.0.0:*
udp        0      0 0.0.0.0:32770           0.0.0.0:*
udp        0      0 0.0.0.0:32771           0.0.0.0:*
udp        0      0 0.0.0.0:785             0.0.0.0:*
udp        0      0 0.0.0.0:67              0.0.0.0:*
udp        0      0 0.0.0.0:69              0.0.0.0:*
udp        0      0 0.0.0.0:111             0.0.0.0:*
raw        0      0 0.0.0.0:1               0.0.0.0:*               7
Active UNIX domain sockets (servers and established)
Proto RefCnt Flags       Type       State         I-Node Path
unix  10     [ ]         DGRAM                    803    /dev/log
unix  2      [ ACC ]     STREAM     LISTENING     1322   /var/lib/mysql/mysql.sock
unix  2      [ ACC ]     STREAM     LISTENING     1377   /dev/gpmctl
unix  3      [ ]         STREAM     CONNECTED     54473
unix  3      [ ]         STREAM     CONNECTED     54472
unix  3      [ ]         DGRAM                    54376
unix  3      [ ]         DGRAM                    54375
unix  3      [ ]         STREAM     CONNECTED     52791
unix  3      [ ]         STREAM     CONNECTED     52790
unix  2      [ ]         DGRAM                    48888
unix  3      [ ]         STREAM     CONNECTED     45884
unix  3      [ ]         STREAM     CONNECTED     45883
unix  2      [ ]         DGRAM                    1442
unix  2      [ ]         DGRAM                    1406
unix  2      [ ]         DGRAM                    1347
unix  2      [ ]         DGRAM                    1329
unix  2      [ ]         DGRAM                    1211
unix  2      [ ]         DGRAM                    865
unix  2      [ ]         DGRAM                    823
I have moved to the current rawhide, in hopes of resolving observed FTP server
lock-ups under RHL 8.0. updated.

[root@ftp log]# rpm -q vsftpd xinetd
vsftpd-1.1.3-7
xinetd-2.3.10-4
[root@ftp log]#

(I show xinetd, even through vsftpd rens as a non-xinetd mediated process in the
Raw Hide variant.)

A single remote FTP based install is running, and it still seems not to be
releasing sockets soon enough:

  638 ?        S      0:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
27036 ?        S      0:00  \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
27038 ?        S      0:08  |   \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
27135 ?        S      0:00  \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
27137 ?        S      0:00      \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
  649 ?        S      0:00 /usr/sbin/dhcpd

Comment 1 R P Herrold 2003-02-19 06:25:23 UTC
bug ws opened as a personal placeholder during testing -- closing pending an
affirmative request for response.

Comment 2 R P Herrold 2003-02-19 07:02:12 UTC
Unfortunately, by loading it up with lots of transactions, I can get the lockups
at will ...note the locks at:  01:36:16  and    01:38:35   ... whcih hang for a
long time before a retry can get it going again.  All transactions in a local
network segment.


Wed Feb 19 01:29:08 2003 1 10.250.0.113 95519
/pub/install/ftpinstall/headers/header.info b _ o a root@winston.victim.lan ftp
0 * c
Wed Feb 19 01:33:04 2003 55 10.250.0.113 95519
/pub/install/ftpinstall/headers/header.info b _ o a root@winston.victim.lan ftp
0 * c
Wed Feb 19 01:35:57 2003 1 10.250.0.113 124076
/pub/install/ftpinstall/RedHat/RPMS/lokkit-0.50-20.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:35:57 2003 1 10.250.0.113 165906
/pub/install/ftpinstall/RedHat/RPMS/libgnomecanvas-2.2.0.1-1.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:35:57 2003 1 10.250.0.113 122427
/pub/install/ftpinstall/RedHat/RPMS/xinetd-2.3.10-4.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:35:58 2003 1 10.250.0.113 27926
/pub/install/ftpinstall/RedHat/RPMS/libao-0.8.3-3.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:35:58 2003 1 10.250.0.113 44462
/pub/install/ftpinstall/RedHat/RPMS/cdparanoia-alpha9.8-15.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:35:59 2003 1 10.250.0.113 906253
/pub/install/ftpinstall/RedHat/RPMS/splint-3.0.1.7-0.20030123.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:01 2003 2 10.250.0.113 1404666
/pub/install/ftpinstall/RedHat/RPMS/foomatic-2.0.2-15.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:02 2003 1 10.250.0.113 906293
/pub/install/ftpinstall/RedHat/RPMS/redhat-logos-1.1.9-1.noarch.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:03 2003 1 10.250.0.113 235089
/pub/install/ftpinstall/RedHat/RPMS/perl-Filter-1.29-3.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:11 2003 8 10.250.0.113 7275219
/pub/install/ftpinstall/RedHat/RPMS/emacs-el-21.2-32.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:13 2003 1 10.250.0.113 57076
/pub/install/ftpinstall/RedHat/RPMS/perl-XML-Grove-0.46alpha-25.noarch.rpm b _ o
a root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:15 2003 2 10.250.0.113 1595556
/pub/install/ftpinstall/RedHat/RPMS/watanabe-vf-1.0-11.noarch.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:15 2003 1 10.250.0.113 178841
/pub/install/ftpinstall/RedHat/RPMS/readline-4.3-5.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:15 2003 1 10.250.0.113 33282
/pub/install/ftpinstall/RedHat/RPMS/isdn4k-utils-devel-3.1-62.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:15 2003 1 10.250.0.113 6608
/pub/install/ftpinstall/RedHat/RPMS/libattr-2.2.0-1.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:16 2003 1 10.250.0.113 12589
/pub/install/ftpinstall/RedHat/RPMS/diffstat-1.31-2.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:16 2003 1 10.250.0.113 27616
/pub/install/ftpinstall/RedHat/RPMS/libao-devel-0.8.3-3.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:36:16 2003 1 10.250.0.113 13369
/pub/install/ftpinstall/RedHat/RPMS/lockdev-devel-1.0.0-23.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:15 2003 119 10.250.0.113 77765
/pub/install/ftpinstall/RedHat/RPMS/audiofile-devel-0.2.3-6.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:18 2003 3 10.250.0.113 2373779
/pub/install/ftpinstall/RedHat/RPMS/XFree86-libs-4.2.99.901-20030213.0.i386.rpm
b _ o a root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:19 2003 1 10.250.0.113 30966
/pub/install/ftpinstall/RedHat/RPMS/ypbind-1.11-4.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:20 2003 1 10.250.0.113 1171495
/pub/install/ftpinstall/RedHat/RPMS/a2ps-4.13b-28.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:21 2003 1 10.250.0.113 181130
/pub/install/ftpinstall/RedHat/RPMS/openssh-3.5p1-6.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:21 2003 1 10.250.0.113 126907
/pub/install/ftpinstall/RedHat/RPMS/rsync-2.5.5-4.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:24 2003 3 10.250.0.113 2201245
/pub/install/ftpinstall/RedHat/RPMS/sendmail-8.12.7-7.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:26 2003 2 10.250.0.113 1898122
/pub/install/ftpinstall/RedHat/RPMS/gcc-c++-3.2.1-7.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:27 2003 1 10.250.0.113 127567
/pub/install/ftpinstall/RedHat/RPMS/pyOpenSSL-0.5.1-5.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:27 2003 1 10.250.0.113 14764
/pub/install/ftpinstall/RedHat/RPMS/tmpwatch-2.8.4-5.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:28 2003 1 10.250.0.113 88152
/pub/install/ftpinstall/RedHat/RPMS/rpm-python-4.2-0.66.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:33 2003 5 10.250.0.113 3894367
/pub/install/ftpinstall/RedHat/RPMS/urw-fonts-2.0-29.noarch.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:34 2003 1 10.250.0.113 419386
/pub/install/ftpinstall/RedHat/RPMS/krb5-libs-1.2.7-7.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:34 2003 1 10.250.0.113 158281
/pub/install/ftpinstall/RedHat/RPMS/libvorbis-1.0-5.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:35 2003 1 10.250.0.113 63972
/pub/install/ftpinstall/RedHat/RPMS/ltrace-0.3.29-1.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:35 2003 1 10.250.0.113 49688
/pub/install/ftpinstall/RedHat/RPMS/gd-devel-1.8.4-11.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:35 2003 1 10.250.0.113 67026
/pub/install/ftpinstall/RedHat/RPMS/expat-1.95.5-2.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c
Wed Feb 19 01:38:35 2003 1 10.250.0.113 30338
/pub/install/ftpinstall/RedHat/RPMS/logrotate-3.6.8-1.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c

Wed Feb 19 01:43:35 2003 300 10.250.0.113 94582
/pub/install/ftpinstall/RedHat/RPMS/pam_krb5-1.60-1.i386.rpm b _ o a
root@winston.victim.lan ftp 0 * c


Comment 3 Radek Vokal 2004-08-25 09:25:00 UTC
Can you check if the bug appears in vsftpd-2.0.1? 

Comment 4 R P Herrold 2004-08-30 21:26:49 UTC
will check

Comment 5 R P Herrold 2004-08-31 18:39:10 UTC
I droppe the new vsftpd, build from the RawHide sources in place on a
host which is self tested every 5 minutes by Nagios -- The observed
stale (closed) connections hanging around seems similar to what was
observed previously.

That said, the issue is not disabling -- this ticket may be closed if
you wish.

Tnanks -- Russ Herrold

1118 ?        S      0:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
 1121 ?        S      0:00  \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
 1123 ?        S      0:03  |   \_ /usr/sbin/vsftpd
/etc/vsftpd/vsftpd.conf
 1130 ?        S      0:00  \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
 1132 ?        S      0:01  |   \_ /usr/sbin/vsftpd
/etc/vsftpd/vsftpd.conf
 1137 ?        S      0:00  \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
 1139 ?        S      0:02  |   \_ /usr/sbin/vsftpd
/etc/vsftpd/vsftpd.conf
 1149 ?        S      0:00  \_ /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
 1151 ?        S      0:02      \_ /usr/sbin/vsftpd
/etc/vsftpd/vsftpd.conf
24675 ?        S      0:00 /usr/bin/nagios -d /etc/nagios/nagios.cfg
24676 ?        S      0:00  \_ /usr/lib/nagios/plugins/check_ping -H
10.10.10.18
24677 ?        S      0:00      \_ /bin/ping -n -U -c 5 10.10.10.184

[root@squid grub]# rpm -q vsftpd
vsftpd-2.0.1-2